Main Page Class List Class Members

# sdk/extensions/RT/include/NvBlastExtRT.h File Reference

`#include <cinttypes>`
`#include <NvBlastTypes.h>`
`#include <NvCTypes.h>`

Go to the source code of this file.

## Classes
struct | Nv::Blast::BooleanResultEdge
struct | Nv::Blast::BooleanToolOutputData
struct | Nv::Blast::ChunkGraph
struct | Nv::Blast::ChunkGraphLink
struct | Nv::Blast::FacetFacetResult
struct | Nv::Blast::FractureDesc
class | Nv::Blast::Fracturer
class | Nv::Blast::FractureRT
struct | Nv::Blast::FractureRT::FractureRT::Stage
struct | Nv::Blast::MeshDesc
class | Nv::Blast::MeshGenerator
struct | Nv::Blast::PerTriangleAdditionalData
## Namespaces
namespace | Nv
namespace | Nv::Blast
## Defines
#define | BLASTRT_MAX_CHUNKS 256
#define | BLASTRT_MAX_EDGES_PER_CHUNK 16384
#define | BLASTRT_MAX_VERTICES 262144
## Enumerations
enum | Nv::Blast::PatternFacetType { Nv::Blast::GOOD_FACET = 0, Nv::Blast::INFINITE_FACET = 0xffffff }
## Functions
NVBLAST_API uint32_t | NvBlastExtRTBuildMesh (Nv::Blast::MeshDesc dsc, Nv::Blast::Vertex *outVertices, uint32_t &vCount, uint32_t *indices, Nv::Blast::PerTriangleAdditionalData *adata, uint32_t maxICount, uint32_t maxVCount)
NVBLAST_API void | NvBlastExtRTCookMergedMesh (Nv::Blast::DamagePattern *pattern)
NVBLAST_API Nv::Blast::ChunkGraph * | NvBlastExtRTCreateChunkGraph (uint32_t maxLinksCount=4096)
NVBLAST_API Nv::Blast::Fracturer * | NvBlastExtRTCreateFracturer ()
NVBLAST_API Nv::Blast::FractureRT * | NvBlastExtRTCreateFractureRT (uint32_t threads=1)
NVBLAST_API Nv::Blast::MeshGenerator * | NvBlastExtRTCreateMeshGenerator ()
NVBLAST_API uint32_t | NvBlastExtRTDetectIslands (Nv::Blast::Vertex *vertices, uint32_t *offsets, NvcBounds3 *bounds, uint32_t chunkCount, Nv::Blast::ChunkGraph *graph, uint32_t *islandChunks, uint32_t *islandOffsets)
NVBLAST_API uint32_t | NvBlastExtRTDoFracture (const Nv::Blast::FractureDesc &desc, int32_t stage=Nv::Blast::FractureRT::Stage::ALL, int32_t threadId=0, int32_t threadCount=1)
NVBLAST_API uint32_t | NvBlastExtRTGetChunksToUnite (Nv::Blast::DamagePattern *pattern, const Nv::Blast::Vertex *vertices, const uint32_t *voffsets, uint32_t chunksCount, uint32_t *chunksToUnite)

## Define Documentation

#define BLASTRT_MAX_CHUNKS 256

#define BLASTRT_MAX_EDGES_PER_CHUNK 16384

#define BLASTRT_MAX_VERTICES 262144

## Function Documentation

NVBLAST_API uint32_t NvBlastExtRTBuildMesh | ( | Nv::Blast::MeshDesc | dsc,
|  | Nv::Blast::Vertex * | outVertices,
|  | uint32_t & | vCount,
|  | uint32_t * | indices,
|  | Nv::Blast::PerTriangleAdditionalData * | adata,
|  | uint32_t | maxICount,
|  | uint32_t | maxVCount |
| ) |  |  |

Build mesh from output of RT fracture

NVBLAST_API void NvBlastExtRTCookMergedMesh | ( | Nv::Blast::DamagePattern * | pattern | ) |

TODO

NVBLAST_API Nv::Blast::ChunkGraph* NvBlastExtRTCreateChunkGraph | ( | uint32_t | maxLinksCount = `4096` | ) |

TODO

NVBLAST_API Nv::Blast::Fracturer* NvBlastExtRTCreateFracturer | ( |  | ) |

Create RT boolean tool fracturer

NVBLAST_API Nv::Blast::FractureRT* NvBlastExtRTCreateFractureRT | ( | uint32_t | threads = `1` | ) |

Create real time (RT) fracture. By default creates single thread. For threads > 1 multithreaded implementation based on std lib is used.

NVBLAST_API Nv::Blast::MeshGenerator* NvBlastExtRTCreateMeshGenerator | ( |  | ) |

Create mesh generator

NVBLAST_API uint32_t NvBlastExtRTDetectIslands | ( | Nv::Blast::Vertex * | vertices,
|  | uint32_t * | offsets,
|  | NvcBounds3 * | bounds,
|  | uint32_t | chunkCount,
|  | Nv::Blast::ChunkGraph * | graph,
|  | uint32_t * | islandChunks,
|  | uint32_t * | islandOffsets |
| ) |  |  |

TODO

NVBLAST_API uint32_t NvBlastExtRTDoFracture | ( | const Nv::Blast::FractureDesc & | desc,
|  | int32_t | stage = `Nv::Blast::FractureRT::Stage::ALL`,
|  | int32_t | threadId = `0`,
|  | int32_t | threadCount = `1` |
| ) |  |  |

Perform fracture.

NVBLAST_API uint32_t NvBlastExtRTGetChunksToUnite | ( | Nv::Blast::DamagePattern * | pattern,
|  | const Nv::Blast::Vertex * | vertices,
|  | const uint32_t * | voffsets,
|  | uint32_t | chunksCount,
|  | uint32_t * | chunksToUnite |
| ) |  |  |

TODO